Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.nativebinaries.tasks
[Groovy] Class AbstractLinkTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.nativebinaries.tasks.AbstractLinkTask

All Implemented Interfaces:
  BuildBinaryTask

    @Incubating
    abstract class AbstractLinkTask
    extends DefaultTask

Property Summary
`FileCollection` | `libs` The library files to be passed to the linker.
`List` | `linkerArgs` Additional arguments passed to the linker.
`File` | `outputFile` The file where the linked binary will be located.
`Platform` | `targetPlatform`
`ToolChain` | `toolChain` The tool chain used for linking.

Constructor Summary
`AbstractLinkTask()`

Method Summary
`protected LinkerSpec` | `createLinkerSpec()`
`File` | `getDestinationDir()`
`def` | `getOutputType()`
`FileCollection` | `getSource()` The source object files to be passed to the linker.
`void` | `lib(Object libs)` Adds a set of library files to be linked.
`void` | `link()`
`void` | `source(Object source)` Adds a set of object files to be linked.

Property Detail

### libs

    @InputFiles
    FileCollection libs

  The library files to be passed to the linker.

### linkerArgs

    @Input
    List linkerArgs

  Additional arguments passed to the linker.

### outputFile

    @OutputFile
    File outputFile

  The file where the linked binary will be located.

### targetPlatform

    Platform targetPlatform

### toolChain

    ToolChain toolChain

  The tool chain used for linking.

Constructor Detail

### AbstractLinkTask

    @Inject
    AbstractLinkTask()

Method Detail

### createLinkerSpec

    protected LinkerSpec createLinkerSpec()

### getDestinationDir

    @OutputDirectory
    File getDestinationDir()

### getOutputType

    @Input
    def getOutputType()

### getSource

    @InputFiles
    @SkipWhenEmpty // Can't use field due to GRADLE-2026
    FileCollection getSource()

  The source object files to be passed to the linker.

### lib

    void lib(Object libs)

  Adds a set of library files to be linked. The provided libs object is evaluated as per Project.files.

### link

    @TaskAction
    void link()

### source

    void source(Object source)

  Adds a set of object files to be linked. The provided source object is evaluated as per Project.files.

Gradle API 1.10